package com.ruoyi.bst.agreement.service;

import java.util.List;
import com.ruoyi.bst.agreement.domain.Agreement;
import com.ruoyi.bst.agreement.domain.AgreementVO;
import com.ruoyi.bst.agreement.domain.AgreementQuery;

/**
 * 协议列表Service接口
 *
 * @author ruoyi
 * @date 2025-05-14
 */
public interface AgreementService
{
    /**
     * 查询协议列表
     *
     * @param id 协议列表主键
     * @return 协议列表
     */
    public AgreementVO selectAgreementById(Long id);

    /**
     * 查询协议列表列表
     *
     * @param agreement 协议列表
     * @return 协议列表集合
     */
    public List<AgreementVO> selectAgreementList(AgreementQuery agreement);

    /**
     * 新增协议列表
     *
     * @param agreement 协议列表
     * @return 结果
     */
    public int insertAgreement(Agreement agreement);

    /**
     * 修改协议列表
     *
     * @param agreement 协议列表
     * @return 结果
     */
    public int updateAgreement(Agreement agreement);

    /**
     * 批量删除协议列表
     *
     * @param ids 需要删除的协议列表主键集合
     * @return 结果
     */
    public int deleteAgreementByIds(Long[] ids);

    /**
     * 删除协议列表信息
     *
     * @param id 协议列表主键
     * @return 结果
     */
    public int deleteAgreementById(Long id);

    AgreementVO selectOne(AgreementQuery query);
}
